# Ds\PriorityQueue::push

(PECL ds >= 1.0.0)

Ds\PriorityQueue::push — Ajoute des valeurs dans la queue

### Description

public Ds\PriorityQueue::push(mixed `$value`, int `$priority`): void

Ajoute une `value` avec une `priority` donnée dans la queue.

### Liste de paramètres

`value`

  La valeur à ajouter dans la queue.

`priority`

  La priorité associée à la valeur.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple de Ds\PriorityQueue::push()

`<?php
$queue = new \Ds\PriorityQueue();
$queue->push("a", 5);
$queue->push("b", 15);
$queue->push("c", 10);
print_r($queue->pop());
print_r($queue->pop());
print_r($queue->pop());
?>`

Résultat de l'exemple ci-dessus est similaire à :

    string(1) "b"
    string(1) "c"
    string(1) "a"